Package io.dapr

# Annotation Type Topic

    @Documented
    @Target(METHOD)
    @Retention(RUNTIME)
    public @interface Topic

- ## Required Element Summary

  Required Elements
  Modifier and Type | Required Element | Description
  --- | --- | ---
  `java.lang.String` | `name` | Name of topic to be subscribed to.
  `java.lang.String` | `pubsubName` | Name of the pubsub bus to be subscribed to.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type | Optional Element | Description
  --- | --- | ---
  `java.lang.String` | `metadata` | Metadata in the form of a json object.

- ## Element Details

  - ### name

    java.lang.String name
    Name of topic to be subscribed to.
    Returns:
      Topic's name.

  - ### pubsubName

    java.lang.String pubsubName
    Name of the pubsub bus to be subscribed to.
    Returns:
      pubsub bus's name.

- - ### metadata

    java.lang.String metadata
    Metadata in the form of a json object. { "mykey": "myvalue" }
    Returns:
      metadata object
    Default:
      "{}"